//
//  ViewController.m
//  DatePickView
//
//  Created by Dai on 2020/3/26.
//  Copyright © 2020 Dai. All rights reserved.
//

#import "ViewController.h"

static NSInteger Multiple = 100000;

@interface ViewController ()<UIPickerViewDelegate, UIPickerViewDataSource>

@property (weak, nonatomic) IBOutlet UIPickerView *datePickView;
@property (nonatomic, strong)NSArray *showData;
@end

@implementation ViewController

-(NSArray *)showData{
    if (!_showData) {
        _showData = @[@"00:00",
                      @"01:00",
                      @"02:00",
                      @"03:00",
                      @"04:00",
                      @"05:00",
                      @"06:00",
                      @"07:00",
                      @"08:00",
                      @"09:00",
                      @"10:00",
                      @"11:00",
                      @"12:00",
        ];
    }
    return _showData;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.datePickView.delegate = self;
    self.datePickView.dataSource = self;
    [self.datePickView selectRow:Multiple*self.showData.count/2 inComponent:0 animated:NO];
}


- (NSInteger)numberOfComponentsInPickerView:(nonnull UIPickerView *)pickerView {
    return 1;
}

- (NSInteger)pickerView:(nonnull UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component {
    return Multiple*self.showData.count;
}

- (nullable NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component{
    return self.showData[row%self.showData.count];
}

-(void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component{
    NSInteger position = Multiple*self.showData.count/2 + row%self.showData.count;
    [pickerView selectRow:position inComponent:component animated:NO];
}

@end
